Bug 1013900 - logconv: some stats do not work across server restarts
logconv: some stats do not work across server restarts
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: 389-ds-base (Show other bugs)
7.0
Unspecified Unspecified
unspecified Severity unspecified
: rc
: ---
Assigned To: Rich Megginson
Sankar Ramalingam
:
Depends On: 1013165
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-30 22:25 EDT by Nathan Kinder
Modified: 2014-06-17 23:00 EDT (History)
4 users (show)

See Also:
Fixed In Version: 389-ds-base-1.3.1.6-6.el7
Doc Type: Bug Fix
Doc Text:
Cause: logconv.pl did not handle server restarts very well. When the server restarts, the connection counter is reset. Any data associated with the old connection number is lost. Consequence: Some statistics are not calculated correctly or at all if logconv.pl detects a server restart. Fix: Index statistics by a tuple of (restartnum,connid,opid) where restartnum is the Nth restart, connid is the connection ID during that start period, and opid is the ID of the operation on that connection. Result: All statistics are calculated correctly no matter how many server restarts are detected by logconv.pl
Story Points: ---
Clone Of: 1013165
Environment:
Last Closed: 2014-06-13 08:02:04 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Nathan Kinder 2013-09-30 22:25:06 EDT
+++ This bug was initially created as a clone of Bug #1013165 +++

This bug is created as a clone of upstream ticket:
https://fedorahosted.org/389/ticket/47533

logconv keeps most stats in hashes keyed on connid,opid.  These are not unique - the server resets conn=1 upon restart.  logconv needs to keep unique stats across restarts.
Comment 2 srkrishn@redhat.com 2014-01-31 07:44:59 EST
hi,
i verified the bug and the updated logconv.pl script performs properly even if the server restarts.i cannot mark it as verified,hence Sankar will handle it.
Comment 3 Sankar Ramalingam 2014-01-31 21:19:07 EST
Based on the notes from Sriram and automated test execution, marking the bug as Verified.

Build tested - 389-ds-base-1.3.1.6-15

Automated tests in ./logfile/logconv.sh
Test - logconv01
Comment 4 Ludek Smid 2014-06-13 08:02:04 EDT
This request was resolved in Red Hat Enterprise Linux 7.0.

Contact your manager or support representative in case you have further questions about the request.

Note You need to log in before you can comment on or make changes to this bug.